---
title: llarp::traits::detail

---

# llarp::traits::detail



## Functions

|                | Name           |
| -------------- | -------------- |
| template <typename T ,typename F ,size_t... Is\> <br>void | **[for_each](Namespaces/namespacellarp_1_1traits_1_1detail.md#function-for-each)**(T && t, F f, std::index_sequence< Is... > ) |


## Functions Documentation

### function for_each

```cpp
template <typename T ,
typename F ,
size_t... Is>
void for_each(
    T && t,
    F f,
    std::index_sequence< Is... > 
)
```






-------------------------------

Updated on 2022-07-17 at 00:14:30 +0000